Skip to main content
GET
/
builders
/
{builderId}
/
photos
List photos
curl --request GET \
  --url https://api.buildpass.global/builders/{builderId}/photos \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.buildpass.global/builders/{builderId}/photos"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.buildpass.global/builders/{builderId}/photos', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "builderId": "<string>",
      "projectId": "<string>",
      "folderId": "<string>",
      "fileName": "<string>",
      "contentType": "<string>",
      "key": "<string>",
      "fileSize": "<string>",
      "description": "<string>",
      "photoTakenDate": "2023-11-07T05:31:56Z",
      "sortDate": "2023-11-07T05:31:56Z",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "archivedAt": "2023-11-07T05:31:56Z",
      "imageUrl": "<string>"
    }
  ]
}
Requires read:photos. Returns active gallery photo attachments for the builder, including a short-lived signed imageUrl. Optional filters: projectId=proj_<id> and folderId=<folderId>.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required

Query Parameters

projectId
string
folderId
string

Response

200 - application/json

Successful response

data
object[]